petsc-3.4.2 2013-07-02

# DMMeshRefine

Refines the mesh.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshRefine(DM mesh, double refinementLimit, PetscBool interpolate, DM *refinedMesh)

Not Collective

### Input Parameters

| mesh | - The original DMMesh object
| refinementLimit | - The maximum size of any cell
| interpolate | - Flag to create intermediate mesh elements

### Output Parameter

refinedMesh -The refined DMMesh object

### Keywords

mesh, elements

### See Also

DMMeshCreate(), DMMeshGenerate()

Level:intermediate
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages